Bug 433726 - Get New Pages popup is too narrow by default
Summary: Get New Pages popup is too narrow by default
Status: RESOLVED FIXED
Alias: None
Product: plasma-systemmonitor
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-02-28 00:19 UTC by Felipe Kinoshita
Modified: 2021-03-04 12:22 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21.3


Attachments
observed result (24.26 KB, image/png)
2021-02-28 00:19 UTC, Felipe Kinoshita
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felipe Kinoshita 2021-02-28 00:19:23 UTC
Created attachment 136242 [details]
observed result

STEPS TO REPRODUCE
1. open the System Monitor > Menu > 'Get New Pages...' popup 

OBSERVED RESULT
Popup is too narrow by default

EXPECTED RESULT
Popup shouldn't be too narrow

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: openSUSE Tumbleweed
(available in About System)
KDE Plasma Version: 5.21.0
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Comment 1 Nate Graham 2021-03-02 17:35:59 UTC
Are we overriding the size here? The window seems to have a sensible enough default size of its own.
Comment 2 David Redondo 2021-03-03 07:54:29 UTC
No and it worked fine in the past
https://invent.kde.org/plasma/plasma-systemmonitor/-/blob/master/src/main.qml#L208
Comment 3 Bug Janitor Service 2021-03-04 10:30:55 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-systemmonitor/-/merge_requests/99
Comment 4 David Redondo 2021-03-04 12:19:40 UTC
Git commit 20426cca3fa124f30ae44ac6866dc687d5d73e71 by David Redondo.
Committed on 04/03/2021 at 12:19.
Pushed by davidre into branch 'master'.

Fix initial size of page download dialog

After reading the Qt Dialog code, I believe that by setting visible: true
we were hitting setVisible to early when we did not have a contenItem and
the dialog stays small even if we later set the contenItem.
FIXED-IN:5.21.3

M  +0    -4    src/main.qml

https://invent.kde.org/plasma/plasma-systemmonitor/commit/20426cca3fa124f30ae44ac6866dc687d5d73e71
Comment 5 David Redondo 2021-03-04 12:22:27 UTC
Git commit 2c36107c8a6d1747d809e08df3bdcdf6a5691729 by David Redondo.
Committed on 04/03/2021 at 12:22.
Pushed by davidre into branch 'Plasma/5.21'.

Fix initial size of page download dialog

After reading the Qt Dialog code, I believe that by setting visible: true
we were hitting setVisible to early when we did not have a contenItem and
the dialog stays small even if we later set the contenItem.
FIXED-IN:5.21.3


(cherry picked from commit 20426cca3fa124f30ae44ac6866dc687d5d73e71)

M  +0    -4    src/main.qml

https://invent.kde.org/plasma/plasma-systemmonitor/commit/2c36107c8a6d1747d809e08df3bdcdf6a5691729